<div class="main-layout-wrapper">
  <aside class="sidebar">
    <div class="logo">
      <a routerLink="/overview">
        <img src="assets/main-logo.png" alt="main-logo">
      </a>
    </div>
    <div class="collection">
      <a
        *ngFor="let link of links"
        [routerLink]="[link.url]"
        routerLinkActive="active"
        class="collection-item"
      >
        {{ link.name }}
      </a>
    </div>
    <div class="collection">
      <a href="" class="collection-item" (click)="logout($event)">Logout</a>
    </div>
  </aside>
  <div class="outlet-wrapper">
    <router-outlet></router-outlet>
  </div>
  <div class="fixed-action-btn" #fixedButton>
    <span class="btn-floating btn-large red">
      <i class="large material-icons">add</i>
    </span>
    <ul>
      <li>
        <a routerLink="/history" class="btn-floating red">
          <i class="material-icons">history</i>
        </a>
      </li>
      <li>
        <a routerLink="/categories/new" class="btn-floating green">
          <i class="material-icons">dashboard</i>
        </a>
      </li>
    </ul>
  </div>
</div>
